Insert one row into a managed-DB table
curl --request POST \
--url https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"values": {
"hitl_output": {
"foo": "bar"
},
"metadata": {
"document_type": "lufthansa"
},
"task_id": "..."
}
}
'import requests
url = "https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows"
payload = { "values": {
"hitl_output": { "foo": "bar" },
"metadata": { "document_type": "lufthansa" },
"task_id": "..."
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
values: {
hitl_output: {foo: 'bar'},
metadata: {document_type: 'lufthansa'},
task_id: '...'
}
})
};
fetch('https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'values' => [
'hitl_output' => [
'foo' => 'bar'
],
'metadata' => [
'document_type' => 'lufthansa'
],
'task_id' => '...'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows"
payload := strings.NewReader("{\n \"values\": {\n \"hitl_output\": {\n \"foo\": \"bar\"\n },\n \"metadata\": {\n \"document_type\": \"lufthansa\"\n },\n \"task_id\": \"...\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"values\": {\n \"hitl_output\": {\n \"foo\": \"bar\"\n },\n \"metadata\": {\n \"document_type\": \"lufthansa\"\n },\n \"task_id\": \"...\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"values\": {\n \"hitl_output\": {\n \"foo\": \"bar\"\n },\n \"metadata\": {\n \"document_type\": \"lufthansa\"\n },\n \"task_id\": \"...\"\n }\n}"
response = http.request(request)
puts response.read_body{
"row": {},
"table_name": "<string>"
}integrations
Insert one row into a managed-DB table
Insert a single row into a managed-DB table and return the inserted row.
Column names in values must match the table schema. Values are bound via parameterised SQL.
POST
/
api
/
integrations
/
database
/
managed
/
tables
/
{table_name}
/
rows
Insert one row into a managed-DB table
curl --request POST \
--url https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"values": {
"hitl_output": {
"foo": "bar"
},
"metadata": {
"document_type": "lufthansa"
},
"task_id": "..."
}
}
'import requests
url = "https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows"
payload = { "values": {
"hitl_output": { "foo": "bar" },
"metadata": { "document_type": "lufthansa" },
"task_id": "..."
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
values: {
hitl_output: {foo: 'bar'},
metadata: {document_type: 'lufthansa'},
task_id: '...'
}
})
};
fetch('https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'values' => [
'hitl_output' => [
'foo' => 'bar'
],
'metadata' => [
'document_type' => 'lufthansa'
],
'task_id' => '...'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows"
payload := strings.NewReader("{\n \"values\": {\n \"hitl_output\": {\n \"foo\": \"bar\"\n },\n \"metadata\": {\n \"document_type\": \"lufthansa\"\n },\n \"task_id\": \"...\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"values\": {\n \"hitl_output\": {\n \"foo\": \"bar\"\n },\n \"metadata\": {\n \"document_type\": \"lufthansa\"\n },\n \"task_id\": \"...\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flows.super.ai/api/integrations/database/managed/tables/{table_name}/rows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"values\": {\n \"hitl_output\": {\n \"foo\": \"bar\"\n },\n \"metadata\": {\n \"document_type\": \"lufthansa\"\n },\n \"task_id\": \"...\"\n }\n}"
response = http.request(request)
puts response.read_body{
"row": {},
"table_name": "<string>"
}Authorizations
BearerAuthAPIKeyAuth
JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Path Parameters
Pattern:
^[a-zA-Z_][a-zA-Z0-9_]{0,62}$Body
application/json
Request to insert a single row into a managed-DB table.
Map of column name to value. Keys must match existing columns of the table.
Example:
{
"hitl_output": { "foo": "bar" },
"metadata": { "document_type": "lufthansa" },
"task_id": "..."
}